from django.urls import path
from . import views

app_name = "photos"

urlpatterns = [
    path("upload/", views.upload_photo, name="upload"),
    path(
        "upload/<int:photo_id>/", views.delete_photo, name="delete"
    ),  # Updated to match frontend
    path(
        "upload/<int:photo_id>/primary/",
        views.set_primary_photo,
        name="set_primary",
    ),
    path(
        "upload/<int:photo_id>/caption/",
        views.update_caption,
        name="update_caption",
    ),
]
